:host {
	margin: 0 1em;
	display: flex;
	flex-direction: column;
	align-items: center;
}

.activity-box {
	padding: 8px;
	display: flex;
	flex-direction: column;
	border: 1.5px solid;
	border-radius:6px;
    width:180px;
    height:100px;
    position: relative;
    /* -webkit-transition: all 200ms ease-in;
    -webkit-transform: scale(1); 
    -ms-transition: all 200ms ease-in;
    -ms-transform: scale(1); 
    -moz-transition: all 200ms ease-in;
    -moz-transform: scale(1); */
    transition: all 200ms ease-out;
    transform: scale(1);   
}

.activity-box-selected {
    height:130px;
}

.activity-card-table{
	width: 100%;
	height: 100%;
}

.activity-box:hover{
    box-shadow: 0px 0px 20px #000000;
	//z-index: 2;
	//height:130px;
    /* -webkit-transition: all 200ms ease-in;
    -webkit-transform: scale(1.085);
    -ms-transition: all 200ms ease-in;
    -ms-transform: scale(1.085);   
    -moz-transition: all 200ms ease-in;
    -moz-transform: scale(1.085); */
    transition: all 200ms ease-in;
    //transform: scale(1.1);
}

.activity-h-bar {
	height: 0.5em;
	z-index: 2;
}

.activity-actions{
	background-color: rgba(0,0,0,.288);
	text-align: center;
	transition: all 150ms ease-out;
	opacity: 0;
	//transition-delay: 1s;
	//transition: all 5000ms ease-in;
	i {
		font-size: 18px;
		font: 500;
		margin: 5px 8px;
	}

	.danger-action{
		color: #343a40;
		cursor: pointer;
		&:hover{
			color: #dc3545;
		}
	}

	.primary-action{
		color: #343a40;
		cursor: pointer;
		&:hover{
			color: #007bff;
		}
	}
	
	.disabled-action{
		color:gray;
		cursor: not-allowed;
	}
}

.show-activity-actions{
	opacity: 1;
	transition-delay: 0.5s;
	transition: all 200ms ease-in;
	//transition: all ease-in-out(200);
}

.showChilds-icon{
	color: #555555;
	cursor: pointer;
	z-index: 1000;
}

.line-border {
	border: 1px solid gray;
}

.show-actions-ico{
	width: 10px;
	cursor: pointer;
	i {
		font-size: 18px;
		cursor: pointer;
	}
	i:hover{
		color: #007bff;
	}
}
.activity-name{
	font-size: 15px;
	font-family: sans-serif;
	font-weight: bold;
	color: black;
	//margin-bottom: 5px
}

.activity-number{
	font-family: sans-serif;
	font-size: 11px;
}

.activity-charge{
	font-family: sans-serif;
	font-size: 12px;
	margin: 3px;
}

